summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-12-28 18:50:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-12-28 18:50:23 +0000
commit78e588fee8fbe24b5ebd1fde264989f28dffa26f (patch)
tree6c058ac9585f10c9ead37833f796ebe4684d4026 /dev-python/botocore
parentd5aad605a35e104c1dd9ad1a3115af9ccb7e57e3 (diff)
downloadbaldeagleos-repo-78e588fee8fbe24b5ebd1fde264989f28dffa26f.tar.gz
baldeagleos-repo-78e588fee8fbe24b5ebd1fde264989f28dffa26f.tar.xz
baldeagleos-repo-78e588fee8fbe24b5ebd1fde264989f28dffa26f.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.9.ebuild68
2 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 0b181fc3fdc8..3bbc08dba7f8 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.33.11.gh.tar.gz 12536159 BLAKE2B bce09ad1b93210667e3c1058ab3b435
DIST botocore-1.34.2.gh.tar.gz 12564834 BLAKE2B b22a3d3bd35b769a28ccb1a5116428e1904d0c9fc3452829237704dbec37a31a539f044a728b0785d09406d299d522dd601da39801249747d54e6741b46cafe2 SHA512 a3f3718bf584a871abbb3edc803de9d5329da257c050d56bdbf8a6a6c4067477812582fbd8d1d789ce18ea1f416d0ddb2be9cc3c45172292d061a94a12f3977b
DIST botocore-1.34.7.gh.tar.gz 12606475 BLAKE2B 387ee7dfab43c44c39c7b0566b6ddcb2b666024b5b7bee2c996194988781c169e1e9462b36d09861d1c3ca899d263392f3d79129e7a2f2fc4bbfed402f5c7dd6 SHA512 3f162d4d028dd81da552e0117671971aa891bf8fab513730f40083660fa83c1f82bf1b52875cf9f7f11089ecdd79f084f3c8e76227aa826c1aac7e5735032450
DIST botocore-1.34.8.gh.tar.gz 12607766 BLAKE2B df29d3846dcb5096708223b5b4c59a2f9a7dcf213c5691bf0a619fb4c9c6ceab5fbecefce6f8ddd76752b420fcfb95bfc7ae00c933172a7f1d9281b7b08f3049 SHA512 4359320cc619cde5bf938cec00b430f6daa8bfeb0170bb476dd3a6be0ba3464aeccd6a422e4d1487a1d7ed6721cb2ffdc55465d289fcccb82f3a5ff142b782b4
+DIST botocore-1.34.9.gh.tar.gz 12608788 BLAKE2B 2c911476db3832d44d71d0cc3fec3ac1682604168ccf3f8f31e79551b8a9e90d2dbb0c9f1cbc4b5aa3aa3a21751a41620354c1a3df1ca115bd2566ba2ebe9823 SHA512 cd20b9c0dc326f02ae61182a6cfe10dd1c3c12ccfbd760b207080bf3ba3ae7ef8ffd64bd8e909913c11156c234c0ca53ded7354c30ccc490a9e2a378a17dac5f
diff --git a/dev-python/botocore/botocore-1.34.9.ebuild b/dev-python/botocore/botocore-1.34.9.ebuild
new file mode 100644
index 000000000000..9a0240c45f2a
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}